The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

RDS

Fetch RDS

Returns the list of remote data services for a given portfolio.

GET /rds

Output example

[
    {
        "Name": "Simulation",
        "Host": "http://aeuc1c015009a.ad003.siemens.net/simulated-rds/",
        "Value": 0,
        "Port": 0,
        "Enable": true,
        "Id": "6297c24b-76c6-44dc-825d-92d9d6b2e68f"
    }
]

Fetch devices

Returns the list of devices for the given RDS.

GET /rds/{rdsId}/remotedevices

Output example

[
    {
        "Id": "268bd558-360b-46b5-9d27-c125e8f20103",
        "Name": "A0_4ShUO1_502",
        "Options": {
            "IP": "10.98.208.28",
            "Port": 502,
            "Unit": 0,
            "HighByteFirst": false,
            "HighRegisterFirst": false,
            "UseGroupRead": false,
            "UseServerCache": false,
            "DevicePort": 0,
            "Net": 0,
            "Timeout": 0,
            "Retries": 0
        },
        "Protocol": 11
    },
    {
        "Id": "aaaa0461-c3cd-4557-b942-fe30c2854220",
        "Name": "A0_4ShUO1_502****",
        "Options": {
            "IP": "10.98.208.41",
            "Port": 502,
            "Unit": 0,
            "HighByteFirst": false,
            "HighRegisterFirst": false,
            "UseGroupRead": false,
            "UseServerCache": false,
            "DevicePort": 0,
            "Net": 0,
            "Timeout": 0,
            "Retries": 0
        },
        "Protocol": 11
    }
]

List of protocols for device

 public enum Protocol
    {
        OPCDA = 1,
        MODBUSRTU = 2,
        MODBUSTCP = 3,
        BACNETIP = 4,
        BACNETTCP = 5,
        BACNETMSTP = 6,
        LOCALDB = 7,
        SMARTCONNECTOR = 8,
        PI_WEB = 9,
        MQTT = 10,
        MODBUSTCP2 = 11,
        /// <summary>
        /// SmartConnector (Single Tag Value Request) REST protocol
        /// </summary>
        SMARTCONNECTOR_SR = 12,
    }

Fetch tags

Returns the list of tags linked to the given device.

Note

This method does not return all available tags on the device — only those that have been linked.

GET /rds/{rdsId}/remotedevices/{deviceId}

Output example

[
    {
        "Id": "2fea9f56-7498-4d61-b0be-195e91528894",
        "Name": "DGP_A0_4ShUO001_00_p788",
        "IODeviceId": "268bd558-360b-46b5-9d27-c125e8f20103",
        "Address": "1/3/12788",
        "Type": 13,
        "ObjectType": 0,
        "EndZeroScale": 0.0,
        "EndFullScale": 0.0,
        "RawZeroScale": 0.0,
        "RawFullScale": 0.0,
        "IsFolder": false
    },
    {
        "Id": "e2d88815-a7db-4204-96b4-e70d6802bc34",
        "Name": "DGP_A0_4ShUO001_00_p789",
        "IODeviceId": "268bd558-360b-46b5-9d27-c125e8f20103",
        "Address": "1/3/12789",
        "Type": 13,
        "ObjectType": 0,
        "EndZeroScale": 0.0,
        "EndFullScale": 0.0,
        "RawZeroScale": 0.0,
        "RawFullScale": 0.0,
        "IsFolder": false
    }
]

List of types for tag

    public enum RemoteTagType
    {
        /// <summary>
        ///     Boolean type: TRUE to  FALSE
        /// </summary>
        BOOL = 1,

        /// <summary>
        ///     Byte type: 0 to 255
        /// </summary>
        BYTE,

        /// <summary>
        ///     Byte type: -128 to  127
        /// </summary>
        SBYTE,

        /// <summary>
        ///     Unicode 16 bit character: U+0000 to U+FFFF
        /// </summary>
        CHAR,

        /// <summary>
        ///     Decimal, 28-29 significant digits: (-7.9 x 10^28 to 7.9 x 10^28) / 10^(0 to 28)
        /// </summary>
        DECIMAL,

        /// <summary>
        ///     Double, 15-16 digits: +-5.0*10^-324 to +-1.7*10^308
        /// </summary>
        DOUBLE,

        /// <summary>
        ///     Float, 7 digits: -3.4*10^38 to +3.4*10^38
        /// </summary>
        FLOAT,

        /// <summary>
        ///     Signed integer, 32 bit value: -2 127 483 648 to 2 147 483 647
        /// </summary>
        INT,

        /// <summary>
        ///     Unsigned integer, 32 bit value: 0 to 4 294 967 295
        /// </summary>
        UINT,

        /// <summary>
        ///     Signed 64 bit integer: - 9 223 372 036 854 775 808 to 9 223 372 036 854 775 807
        /// </summary>
        LONG,

        /// <summary>
        ///     Unsigned 64 bit integer: 0 to 18 446 774 073 709 551 615
        /// </summary>
        ULONG,

        /// <summary>
        ///     General type for all others
        /// </summary>
        OBJECT,

        /// <summary>
        ///     Signed 16 bit integer: -32768 to 32767
        /// </summary>
        SHORT,

        /// <summary>
        ///     Unsigned 16 bit integer: 0 to 65535
        /// </summary>
        USHORT,

        /// <summary>
        ///     Zero or more Unicode characters
        /// </summary>
        STRING
    }

For CRUD operations, use the corresponding POST, GET, PATCH, and DELETE methods.